Album: James Roach Collection
Always Reference Tracks By Directory: true
Artists:
- James Roach
Date: April 9, 2020
Date Added: June 12, 2024
URLs:
- https://www.youtube.com/playlist?list=OLAK5uy_lT_DMl6wxnSE-vzEgnsdvrB2IPIBO0W0Q
- https://open.spotify.com/album/3Qz3hMqzstlitibB4YMpSH
- https://music.apple.com/album/james-roach-collection/1507304960
Color: '#cfcfcf'
Cover Artists:
- James Roach
Groups:
- James Roach
- group:fandom
Commentary: |-
    <i>Quasar Nebula:</i> (wiki editor)

    This is a compilation of tracks mostly from [[album:hiveswap-friendsim]], available on various streaming platforms. Spotify and other platforms indicate the album is dated [[date:December 15, 2018]], but this is just a custom date to match when the Hiveswap Friendsim album released. YouTube dates the album [[date:April 9, 2020]], which we've taken as the date here; [a post on Reddit](https://www.reddit.com/r/homestuck/comments/fyqu3y/some_of_the_hiveswap_friendsim_soundtrack_is_on/) indicates it released at the latest [[date:April 10, 2020]].

    The sixteenth track, [[track:i-guess-i-do-other-stuff-now-too]], was originally published as "Yall Know I Just Do the Music Right". And then James Roach started [doing other stuff!](https://beyondcanon.com/credits)

    The bonus track [[track:yeah-it-is-collection]] predates [[track:yeah-it-is-soundtrack|its inclusion]] on [[album:pesterquest-soundtrack]], making it this track's earliest generally available release, though it was first published as part of [[flash:pq-vol8|Pesterquest's eighth volume]] and as a track [on SoundCloud](https://soundcloud.com/jamesroachmusic/pesterquest-aradias-theme-yeah-it-is) (as other Pesterquest tracks were, around the time).
---
Section: Main album
---
Track: Artchop
Directory: artchop-collection
Originally Released As: ARTCHOP (APPARENTLY)
Duration: 1:36
URLs:
- https://www.youtube.com/watch?v=e4hqoGFyyX0
- https://open.spotify.com/track/4xkBWq2OX72jrgLU9tsYBY
- https://music.apple.com/album/artchop/1507304960?i=1507304963
---
Track: M_o_i_s_t
Directory: moist-collection
Originally Released As: track:moist
Duration: 2:29
URLs:
- https://www.youtube.com/watch?v=bL9bE_oYHQw
- https://open.spotify.com/track/4kh9iQSw8WFF0pI7ns1S3i
- https://music.apple.com/album/m-o-i-s-t/1507304960?i=1507304965
---
Track: Call Me Gor-Gor
Directory: call-me-gor-gor-collection
Originally Released As: Call me Gor-Gor
Duration: 3:05
URLs:
- https://www.youtube.com/watch?v=5C33nGU9ZD0
- https://open.spotify.com/track/25xoDq1wW7zeZcqZiTZTxr
- https://music.apple.com/album/call-me-gor-gor/1507304960?i=1507304966
---
Track: TFW Another James Roach Track
Directory: tfw-another-james-roach-track-collection
Originally Released As: '>tfw another james roach track'
Duration: 2:55
URLs:
- https://www.youtube.com/watch?v=bg5GP1ld1ec
- https://open.spotify.com/track/0dtTii2PsAZgpQbEcVzN6e
- https://music.apple.com/album/tfw-another-james-roach-track/1507304960?i=1507304967
---
Track: Piwates
Directory: piwates-collection
Originally Released As: Piwates ',:^]
Duration: 3:46
URLs:
- https://www.youtube.com/watch?v=xKQjJuQS0ps
- https://open.spotify.com/track/5TKabaqoWOYbjMfJiTrI0T
- https://music.apple.com/album/piwates/1507304960?i=1507304968
---
Track: It Be Like That Sometimes
Directory: it-be-like-that-sometimes-collection
Originally Released As: it be like that sometimes
Duration: 3:08
URLs:
- https://www.youtube.com/watch?v=RMsoT_E6L1U
- https://open.spotify.com/track/4JMI78CP5GhXMN9jjKSSYY
- https://music.apple.com/album/it-be-like-that-sometimes/1507304960?i=1507304969
---
Track: Take Me to Clown Church
Directory: take-me-to-clown-church-collection
Originally Released As: take me to clown church
Duration: 3:07
URLs:
- https://www.youtube.com/watch?v=Z73OQgWspPU
- https://open.spotify.com/track/3ZBYarjxlwHMJ0P2HmNeBT
- https://music.apple.com/album/take-me-to-clown-church/1507304960?i=1507304970
---
Track: Fortnite Funny Moments Episode 413
Directory: fortnite-funny-moments-episode-413-collection
Originally Released As: fortnite funny moments epic fails episode 413
Always Reference By Directory: true
Duration: 3:36
URLs:
- https://www.youtube.com/watch?v=HNgKRNykf1E
- https://open.spotify.com/track/1wiIx8nwmprmEUgnJC8hFD
- https://music.apple.com/album/fortnite-funny-moments-episode-413/1507304960?i=1507304971
---
Track: Old Secret
Directory: old-secret-collection
Originally Released As: Old Secret
Duration: 4:26
URLs:
- https://www.youtube.com/watch?v=Vwa3KDISNkA
- https://open.spotify.com/track/032YmrDTb1WOLOsXtM5DJC
- https://music.apple.com/album/old-secret/1507304960?i=1507304972
---
Track: Service Car
Directory: service-car-collection
Originally Released As: SERVICE CAR
Duration: 4:13
URLs:
- https://www.youtube.com/watch?v=6HfC75HgIIU
- https://open.spotify.com/track/0Je6LXNddx0asd7RReGX9a
- https://music.apple.com/album/service-car/1507304960?i=1507304973
---
Track: An Ascii Image of Bowsette
Directory: an-ascii-image-of-bowsette-collection
Originally Released As: (an ascii image of bowsette)
Duration: 5:09
URLs:
- https://www.youtube.com/watch?v=rXVKPGTDVQc
- https://open.spotify.com/track/2BwbANQD1p7xyQj2HN5l2N
- https://music.apple.com/album/an-ascii-image-of-bowsette/1507304960?i=1507304974
---
Track: Graveyard Shift
Directory: graveyard-shift-collection
Originally Released As: GRAVEYARD SHIFT
Duration: 5:24
URLs:
- https://www.youtube.com/watch?v=KZKP6WYZLtI
- https://open.spotify.com/track/3FVL9O3h3im1kYhYD1fWzc
- https://music.apple.com/album/graveyard-shift/1507304960?i=1507304975
---
Track: Clownfucker
Directory: clownfucker-collection
Originally Released As: CLOWNFUCKER
Duration: 2:52
URLs:
- https://www.youtube.com/watch?v=xMPwVKYBcnc
- https://open.spotify.com/track/49jBLslsYxkYoivAiQxash
- https://music.apple.com/album/clownfucker-feat-toby-fox/1507304960?i=1507305156
---
Track: This Title Was Too Long
Directory: this-title-was-too-long-collection
Originally Released As: (this title was too long)
Duration: 2:10
URLs:
- https://www.youtube.com/watch?v=Mi3Zmr-uo5U
- https://open.spotify.com/track/5To5R0IMSB9Ni8w2sBEGvu
- https://music.apple.com/album/this-title-was-too-long/1507304960?i=1507305157
---
Track: Turns Out Its Like the Shoe
Directory: turns-out-its-like-the-shoe-collection
Originally Released As: turns out its like the shoe
Duration: 2:15
URLs:
- https://www.youtube.com/watch?v=Lbxbkv_-CLk
- https://open.spotify.com/track/45MqdoybvTDFuZRtGx1kWW
- https://music.apple.com/album/turns-out-its-like-the-shoe/1507304960?i=1507305158
---
Track: I Guess I Do Other Stuff Now Too
Originally Released As: yall know i just do the music right
Duration: 2:40
URLs:
- https://www.youtube.com/watch?v=81XNIat1BUY
- https://open.spotify.com/track/2Ukv2NoVxCIM5Ov7MhOtgj
- https://music.apple.com/album/i-guess-i-do-other-stuff-now-too/1507304960?i=1507305159
Commentary: |-
    <i>Quasar Nebula:</i> (wiki editor)

    On [[date:January 18, 2024]] James Roach changed their Tumblr handle from "jamesroachmusic" to "jamesroach". Subsequently...

    <i>James Roach:</i> ([Tumblr post](https://web.archive.org/web/20240130115810/https://www.tumblr.com/jamesroach/740914607889301504/updating-spotify-is-actually-kind-of-an-ordeal?source=share), 1/18/2024)

    <big>url change</big>

    <i>James Roach:</i> ([Tumblr post](https://web.archive.org/web/20240130115810/https://www.tumblr.com/jamesroach/740914607889301504/updating-spotify-is-actually-kind-of-an-ordeal?source=share), 1/18/2024)

    a saga throughout the years

    <img src="media/misc/other-stuff-now-too-tumblr1.jpg" width="275">

    <img src="media/misc/other-stuff-now-too-tumblr2.jpg" width="275">

    <img src="media/misc/other-stuff-now-too-tumblr3.jpg" width="275">

    <img src="media/misc/other-stuff-now-too-tumblr4.jpg" width="275">

    <i>James Roach:</i> ([Tumblr post](https://web.archive.org/web/20240130115810/https://www.tumblr.com/jamesroach/740914607889301504/updating-spotify-is-actually-kind-of-an-ordeal?source=share), 1/18/2024)

    updating spotify is actually kind of an ordeal

    <img src="media/misc/other-stuff-now-too-tumblr5.jpg" width="300">

    <i>Quasar Nebula:</i> (wiki editor)

    ...this track changed names from "Yall Know I Just Do the Music Right", to "I Guess I Do Other Stuff Now Too".
---
Track: The Final Clowntdown
Directory: the-final-clowntdown-collection
Originally Released As: the final clowntdown
Duration: 3:11
URLs:
- https://www.youtube.com/watch?v=kCNDiN628XE
- https://open.spotify.com/track/7tGlvBbat0OVvqvPHeBTzC
- https://music.apple.com/album/the-final-clowntdown/1507304960?i=1507305160
---
Track: END of Friendvangelion
Directory: end-of-friendvangelion-collection
Originally Released As: END OF FRIENDVANGELION
Duration: 3:01
URLs:
- https://www.youtube.com/watch?v=JbiHKtAheLo
- https://open.spotify.com/track/52m4UFuvxLhNDPMqZtGQ3n
- https://music.apple.com/album/end-of-friendvangelion/1507304960?i=1507305161
---
Track: Worst End
Directory: worst-end-collection
Originally Released As: WORST END
Duration: 2:30
URLs:
- https://www.youtube.com/watch?v=aJNv59I6zwU
- https://open.spotify.com/track/2QE9fQ2bGknJKdNKlk50Jx
- https://music.apple.com/album/worst-end/1507304960?i=1507305162
---
Section: Bonus track
---
Track: Yeah It Is
Directory: yeah-it-is-collection
Always Reference By Directory: false
Additional Names:
- Name: >-
    Bonus: Yeah It Is
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=2PeUpYR5Hqk),
    [Spotify](https://open.spotify.com/track/4N1KrBVgUSnbthvBicA4VL),
    [Apple Music](https://music.apple.com/album/bonus-yeah-it-is/1507304960?i=1507305163)
Duration: 5:41
Contributors:
- Tamara Fritz (vocals)
Referenced Tracks:
- it's a cover of 'made of time'
- track:megalovania-undertale
- track:nuclear-james-roach
URLs:
- https://www.youtube.com/watch?v=2PeUpYR5Hqk
- https://open.spotify.com/track/4N1KrBVgUSnbthvBicA4VL
- https://music.apple.com/album/bonus-yeah-it-is/1507304960?i=1507305163
Commentary: |-
    <i>James Roach:</i> ([SoundCloud](https://soundcloud.com/jamesroachmusic/pesterquest-aradias-theme-yeah-it-is))

    big ups to [[artist:tamara-fritz|Tamara "TOTALSPIFFAGE" Fritz]] for really knocking it outta the park with these vocals.
